<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.359
Name: Ragione esonero/omissione o differimento (VACC)
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345">
   <title>Ragione esonero/omissione o differimento (VACC)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.359
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]"
         id="d42e2350-false-d19688e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]) &gt;= 1">(CDAObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]) &lt;= 1">(CDAObservation): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.359
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]"
         id="d42e2368-false-d19705e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(CDAObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="string(@moodCode) = ('EVN')">(CDAObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']) &gt;= 1">(CDAObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']) &lt;= 1">(CDAObservation): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:code[(@code = '85714-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(CDAObservation): element hl7:code[(@code = '85714-4' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:code[(@code = '85714-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(CDAObservation): element hl7:code[(@code = '85714-4' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(CDAObservation): element hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(CDAObservation): element hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:effectiveTime) &lt;= 1">(CDAObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:value) &lt;= 1">(CDAObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.359
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']"
         id="d42e2374-false-d19763e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.11.4.10')">(CDAObservation): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.11.4.10'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.359
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]/hl7:code[(@code = '85714-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]/hl7:code[(@code = '85714-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2379-false-d19775e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="string(@code) = ('85714-4')">(CDAObservation): The value for code SHALL be '85714-4'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(CDAObservation): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(CDAObservation): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(CDAObservation): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.359
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]/hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]/hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d42e2400-false-d19800e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAObservation): The element value SHALL be one of '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC)'.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="string(@code) = ('completed')">(CDAObservation): The value for code SHALL be 'completed'. Found: "<value-of select="@code"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.359
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]/hl7:effectiveTime
Item: (CDAObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]/hl7:effectiveTime"
         id="d42e2408-false-d19820e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:low) &gt;= 1">(CDAObservation): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:low) &lt;= 1">(CDAObservation): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:high) &gt;= 1">(CDAObservation): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230918T114148/tmp-2.16.840.1.113883.3.1937.777.63.10.359-2023-07-27T161345.html"
              test="count(hl7:high) &lt;= 1">(CDAObservation): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.359
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]/hl7:effectiveTime/hl7:low
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.359
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]/hl7:effectiveTime/hl7:high
Item: (CDAObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.359
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.10']]/hl7:value
Item: (CDAObservation)
-->
</pattern>
